# Throwable::getFile

(PHP 7)

Throwable::getFile — Gets the file in which the object was created

### Description

abstract public Throwable::getFile ( void ) : string

Get the name of the file in which the thrown object was created.

### Parameters

This function has no parameters.

### Return Values

Returns the filename in which the thrown object was created.

### See Also

- Exception::getFile() - Gets the file in which the exception was created